aboutsummaryrefslogtreecommitdiffstats
path: root/testing/rssh/APKBUILD
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2016-11-27 16:20:22 +0100
committerJakub Jirutka <jakub@jirutka.cz>2016-11-27 16:21:44 +0100
commitf18616827add1d0f51f0e61bd6675e110d43da7f (patch)
treea33f0a5595cc01461a3621bd6b4501bb7ed096b7 /testing/rssh/APKBUILD
parent80850b5aa47aef84c29e8bce9bb033811884f282 (diff)
downloadaports-f18616827add1d0f51f0e61bd6675e110d43da7f.tar.gz
aports-f18616827add1d0f51f0e61bd6675e110d43da7f.tar.bz2
aports-f18616827add1d0f51f0e61bd6675e110d43da7f.tar.xz
testing/rssh: new aport
http://www.pizzashack.org/rssh/ Restricted shell for use with OpenSSH, allowing only scp, sftp, and/or rsync
Diffstat (limited to 'testing/rssh/APKBUILD')
-rw-r--r--testing/rssh/APKBUILD51
1 files changed, 51 insertions, 0 deletions
diff --git a/testing/rssh/APKBUILD b/testing/rssh/APKBUILD
new file mode 100644
index 0000000000..8830857b86
--- /dev/null
+++ b/testing/rssh/APKBUILD
@@ -0,0 +1,51 @@
+# Contributor: Jakub Jirutka <jakub@jirutka.cz>
+# Maintainer: Jakub Jirutka <jakub@jirutka.cz>
+pkgname=rssh
+pkgver=2.3.4
+pkgrel=0
+pkgdesc="Restricted shell for use with OpenSSH, allowing only scp, sftp, and/or rsync"
+url="http://www.pizzashack.org/rssh/"
+arch="all"
+license="BSD"
+depends="openssh"
+makedepends="rsync"
+install="$pkgname.post-install $pkgname.post-deinstall"
+subpackages="$pkgname-doc"
+source="http://prdownloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz
+ makefile.patch
+ fix-error-message-for-invalid-option.patch
+ handle-rsync-v3-e-option.patch"
+options="suid"
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+ cd "$builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --libexecdir=/usr/lib/$pkgname \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="5211f5fe206704f813a3cec61f487042 rssh-2.3.4.tar.gz
+7a916b10032af5fe6ac74e5988771022 makefile.patch
+bd14dc3608413df3eb76f7e9c4a3b2d9 fix-error-message-for-invalid-option.patch
+be33f477870f614c52d5456d5ea7cda5 handle-rsync-v3-e-option.patch"
+sha256sums="f30c6a760918a0ed39cf9e49a49a76cb309d7ef1c25a66e77a41e2b1d0b40cd9 rssh-2.3.4.tar.gz
+cc9ad2cd8759840453fa3976ad35794ef959743ffd409b410ff7289beebf4c58 makefile.patch
+c03b02deca6793ee05ab4f9f99393ae3c2d8f3747cbc23b00387f1a171173aea fix-error-message-for-invalid-option.patch
+0c772afe9088eeded129ead86775ef18e58c318bbc58fc3e2585e7ff09cc5e91 handle-rsync-v3-e-option.patch"
+sha512sums="c1a77abdf4abe5f936fb1c9c008fc81fabf7b624d69ed31fe2ae5619dfa4a79f1d4a4f2daa5291a36d40353fa2168e74e5ba61294230d702fcdc88ae0d520487 rssh-2.3.4.tar.gz
+24a58353ed2714eafe26326e5a4065bac83bcb20af07ddb64270b9ed607127c896947c45badf2e67b18672ced90557c885ce13fc540cc3bbb0bc6b7e547f0c11 makefile.patch
+abad4a707f7851c60549d6073c331a4a2b47bdcf97956d5cbad3af9bcb83d6ad33694ac3270df5c7df6ec709026e0253c49024fa20a33a453524547031df77aa fix-error-message-for-invalid-option.patch
+942dd8e0495cf13bbb679332cab6c1781560e32ade0905527fe71e5399f930edfe0c442653deb218a182b11e49599c3bd78d0fc715de45cf9aa078e6a586b9c7 handle-rsync-v3-e-option.patch"